function NewRaycastWeaponBase:set_scope_range_distance(distance)
	if not self._assembly_complete or not distance then
		return
	end
	if self._scopes and self._parts then
		local part
		for i, part_id in ipairs(self._scopes) do
			part = self._parts[part_id]
			if part and part.unit:digital_gui() then
				part.unit:digital_gui():number_set(math.round(distance), false)
			end
			if part and part.unit:digital_gui_upper() then
				local wpn = managers.player:local_player():inventory():equipped_unit():base()._name_id
				part.unit:digital_gui_upper():number_set(managers.statistics._global.killed_by_weapon[wpn].count, false)
			end
		end
	end
end